* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    border: none;
    outline: none;
    list-style: none;
    scroll-behavior: smooth;
    font-family: 'Poppins', sans-serif;
    color: #012456;
}

body {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    background: #1390CF;
    scroll-behavior: smooth;
}

ul {
    padding: 0;
    margin: 0;
  }

ul li {
    margin-bottom: 25px;
  }

h1 {
    font-weight: 900;
    text-align: center;
}

h2 {
    font-weight: 900;
}

.navbar {
    width: 100%;
}

.navbar2 {
    top: 0;
    left: 0;
    max-width: 1300px;
    padding: 60px 20px 30px 0;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 100;
    margin: auto;
    box-sizing: border-box;
    justify-content: space-between;
}

.navbar .logo {
    font-size: 2em;
    color: #012456;
    pointer-events: none;
    padding-right: 86px;
    display: block;
}

#menu {
    position: absolute;
    top: 50px;
    right: 50px;
    width: 50px;
    display: none;
}

.navbar a {
    color: #fbfbfb;
    padding: 6px 25px;
    border-radius: 20px;
    margin: 0 10px;
    font-weight: 500;
    margin-left: 80px;
    font-size: 1.1em;
    transition: 0.5s;
    text-decoration: none;
    z-index: 100;
}

.nav-links a:hover {
    background: #1390cf;
    color: #fff;
}

header {
    position: relative;
    display: flex;
    justify-content: center;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    width: auto;
    height: 440px;
    overflow: hidden;
}

.nav-links.mobile-menu {
    margin-left: 0;
}

@media (max-width: 1290px) {                                     /*        1290px         */

    .video-text h1 {
        position: relative;
        bottom: 25px;
      }

    #menu {
        position: absolute;
        display: block;
    }

    .navbar2 {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
    }

    .logo {
        position: relative;
        width: 150px;
        transform: translateY(-14px);
        left: 10px;
    }

    .nav-links {
        position: absolute;
        width: 100%;
        left: 0;
        top: 0;
        height: 100vh;
        background-color: #3da8deb4;
        backdrop-filter: blur(6px);
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        margin-left: -100%;
        transition: all 1s ease;
    }

    header .nav-links a {
        margin: 25px;
        font-size: 1.4em;
    }

    .navbar2 a {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        margin: 0;
        color: #ffffff;
    }
    
}

                                    /* scales/splashes */

#splashes {
    position: absolute;
    width: 800px;
    margin: auto;
    transform: translateY(-120px) translateX(23vw);
    z-index: -1;
}


@media (max-width: 1056px) {
    #splashes {
        width: 700px;
        transform: translateY(-120px) translateX(10vw);
    }
}

#splashes2 {
    position: absolute;
    width: 80%;
    transform: translateY(-20px) translateX(15vw);
    z-index: 1;
}

#splashes3 {
    position: absolute;
    width: 80%;
    transform: translateY(-20px) translateX(-85vw);
    z-index: 1;
}

#splashes4 {
    position: absolute;
    width: 80%;
    transform: translateY(60px) translateX(15vw);
    z-index: 1;
}

  #scales {
    position: absolute;
    left: 0;
    transform: translateY(-436px) translateX(-300px);
    width: 85%;
    z-index: 100;
}

@media (max-width: 1000px) {

    #splashes2 {
        width: 80%;
        transform: translateY(-240px) translateX(10vw);
        z-index: 1;
        overflow-x: hidden;
    }

    #splashes3 {
        position: absolute;
        width: 80%;
        transform: translateY(-120px) translateX(-80vw);
        z-index: 1;
        overflow-x: hidden;
    }

    #splashes4 {
        position: absolute;
        width: 80%;
        transform: translateY(130px) translateX(8vw);
        z-index: 1;
        overflow-x: hidden;

    }

    #scales {
        position: absolute;
        left: 0;
        transform: translateY(-340px) translateX(-730px);
        width: 1500px;
        z-index: 10;
    }
}

@media (max-width: 800px) {

    #splashes {
        position: absolute;
        width: 500px;
        transform: translateY(-240px) translateX(11vw);
        z-index: -1;
    }    
}

@media (max-width: 600px) {
    #splashes {
        position: absolute;
        width: 370px;
        transform: translateY(-180px) translateX(12vw);
        z-index: -1;
    }    
}

@media (max-width: 420px) {
    #splashes {
        position: absolute;
        width: 315px;
        transform: translateY(-160px) translateX(12vw);
        z-index: -1;
    }   
}

    #scales {
        position: absolute;
        left: 0;
        transform: translateY(-140px) translateX(-730px);
        width: 1500px;
        z-index: 10;
        }

/*                                             video                                              */

.video-text {
    text-align: center;
    justify-content: center;
    align-items: center;
    line-height: 1.4;
  } 

  .video-text h1 {
    font-size: 4em;
    transform: translateY(-217px);
    letter-spacing: 2.2rem;
    font-weight: 300;
    color: #fbfbfb;
  }
    
  .video-text #o-nas {
    font-size: 3rem;
    transform: translateY(80px);
    letter-spacing: 2rem;
    color: #fbfbfb;
  }

.video-bg {
    background-color: #fbfbfb;
    z-index: 120;
}

.video-bg video {
    position: absolute;
    right: 0;
    bottom: 40px;
    z-index: -10;
    opacity: 20%;
    width: 105vw;
  }

.video-bg video::after {
    background-color: #fbfbfb;
  }

  @media (max-width: 1080px) {
    .video-bg video {
        position: absolute;
        bottom: 0px;
        width: 140%;
        height: 140%;
      }
  }

@media (max-width: 800px) {
    header {
        height: 70vh;
                overflow-x: hidden;
      }
    .video-text {
        display: flex;
        text-align: center;
        justify-content: center;
        align-items: center;
        line-height: 1.7;
      } 
    .video-text h1 {
        position: absolute;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        font-size: 2.5em;
        letter-spacing: 0.5rem;
        font-weight: 300;
        line-height: 1em;
        top: 240px;
      }
      .video-text #o-nas {
        font-size: 2rem;
        letter-spacing: 0.5rem;
        transform: translateY(0);
      }

      .video-bg video {
        position: fixed;
        bottom: -380px;
        width: 310%;
        height: 240%;
        right: -380px;
      }

      #background-video {
        bottom: -525px;
    }      
}

.media {
    background-color: #fbfbfb;
    text-align: center;
    overflow-x: hidden;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 100%;
}

.media img {
    width: 150px;
}

.Dzien-Dobry-TVN {
    padding: 120px 20px 30px 20px;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 50px;
}

.wywiady {
    padding: 60px 20px 0 20px;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 50px;
    padding-bottom: 70px;
}

.artykuly {
    padding: 60px 20px 0 20px;
}

.informacje-media {
    padding: 60px 20px 0 20px;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 50px;
}

.informacje-swiatowe {
    padding: 60px 0;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 50px;
}

.informacje-rozne {
    padding: 60px 20px 0 20px;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 50px;
    padding-bottom: 70px;
}

@media (max-width: 600px) {

    .iframe-container {
        position: relative;
    }

    .iframe-container iframe {
        width: 392px;
        height: 220.5px;
    }
}

@media (max-width: 480px) {

    .iframe-container iframe {
        width: 364px;
        height: 204.75px;
    }
}

@media screen and (max-width: 430px) {

    .iframe-container iframe {
        width: 340px;
        height: 200px;
    }

}






























/*                                      footer                            */

.social-media {
    display: flex;
    margin: auto;
    justify-content: center;
    align-items: center;
    width: 40%;
    gap: 40px;
    padding-bottom: 100px;
}

.footer1 {
    background: #e8f5ff; /* #e8f5ff; */
    display: flex;
    justify-content: center;
    flex-direction: column;
}

.footer1 h2 {
    margin: 0;
    text-align: center;
    color: #012456;
    font-size: 2.6em;
    padding-top: 70px;
}

  .partners {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    height: 200px;
    padding: 0 200px;
  }

  .partners img {
    width: 120px;
  }

  #wks {
    width: 250px;
  }

#kopalnia {
    width: 180px;
}

#splywajnatrening {
    width: 125px;
    transform: translateX(-38px);
}

@media (min-width: 1500px) {
    .partners {
        display: flex;
        justify-content: space-between;
        align-items: center;
        flex-wrap: wrap;
        height: 200px;
        padding: 0 400px;
      }
}

  @media (max-width: 999px) {

    .partners {
        padding-top: 50px;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        height: 600px;
        gap: 60px;
        padding: 0;
    }

    .partners img {
        width: 150px;
      }
    
      #wks {
        width: 220px;
      }
      #splywajnatrening {
        width: 125px;
        transform: translateX(0);
    }

  .social-media {
    display: flex;
    margin: auto;
    width: 80%;
    padding-bottom: 100px;
    gap: 5px;
    }
  .social-media img {
    width: 85%;
  }  
}

@media (max-width: 600px) {
    .footer1 h2 {
        font-size: 2em;
    }
}

.footer2 {
    position: static;
    border-top: solid 1px #01245612;
    background: #e8f5ff; /* #e8f5ff; */
    display: flex;
    justify-content: center;
    padding: 30px 0 30px;
}

.footer2 img {
    padding: 15px 0;
    width: 70px;
}

.lastbg {
    background-color: #e8f5ff;
}